package BSS.Devices;

import BSS.*;

import java.util.Map;

public class CashMachineDevice extends BaseDevice
{
    public CashMachineDevice(int id, Logger logger, Map configuration, Communicator communicator)
    {
        super(id, logger, configuration, communicator);
    }

    public String toString()
    {
        return "CashMachine#" + ID();
    }

    //--- Device interface methods ---
    public void setStatus(int device_type, int device_id, byte value)
    {
        boolean write = false;
        switch (device_type)
        {
          case DEV_ENERGIZER:
            if (1 == device_id)
            {
                write = true;
            }
          break;
        }
        log_set_status(write, device_type, device_id, value);
    }

    public void sendSMS(SMS sms)
    {
        log(1, _con.toString() + " attempts to send " + sms);
    }

    //--- Host interafce methods --
    public void receiveSMS(SMS sms)
    {
        log(1, "Unexpected SMS: " + sms);
    }
}
